	@echo off
	rem *********************************************************************
	rem *  Filename : pack-renamer.bat
	rem *  An archive file creation program
	rem *  Copyright(C) 1999 Fumio Kawamata
	rem *
	rem * This batch program creats an archive for distribution.
	rem *
	rem * You need following programs when you execute this batch program.
	rem *   - Info-Zip's zip and unzip compression utility programs
	rem *   - rm, cp, and touch programs which run like UNIX programs
	rem * 
	rem * Remember that this batch program is designed for the author's
	rem * program environment.  Modify this program if you want use this. :-)
	rem *********************************************************************

	set Ver=102

	set TimeStamp=0%Ver%
	set DestName=c:\tmp\renam%Ver%.zip
	set TestDir=c:\tmp\renam%Ver%
	set LogFile=c:\tmp\ziplog.txt

	echo *****   Removing garbage files   *****
	cd \prog\renamer
	echo Removing delphi\*.~*
	del .\delphi\*.~*
        echo Removing delphi\*.$$$
        del .\delphi\*.$$$
	echo Removing dcu\*.dcu
	del .\dcu\*.dcu>nul
	echo Removing %DestName%
	if exist %DestName% rm %DestName%>nul
	echo Removing %TestDir%
	rm -R -f %TestDir%>nul
	echo Finished

	echo *****   Touching files   *****
        touch -d %TimeStamp%  ./bat/*
        touch -d %TimeStamp%  ./bin/*
        touch -d %TimeStamp%  ./bmp/*
        touch -d %TimeStamp%  ./delphi/*
        touch -d %TimeStamp%  ./ico/*
        touch -d %TimeStamp%  ./manual/*

	echo *****   Zipping files into %DestName%  *****
	zip -r %DestName%  *>nul

        echo ***** Touching time stamp of the %DestName% *****
	touch --date=%TimeStamp% %DestName%
	
	echo *****   Unzipping files into %TestDir% *****
	mkdir %TestDir%>nul
	unzip %DestName% -d %TestDir%>>%LogFile%

	echo *****   All done   *****
