(* ****************************************************************************
 *                  ZERO Inserter/Suppressor in filename
 *                  Copyright (C) 1999 Fumio Kawamata
 *
 *  This program arranges numeric portion of the filename.
 *  Arrange examples:
 *    Before
 *     pic1.jpg
 *     pic10.jpg
 *     pic11.jpg
 *     pic2.jpg
 *    After
 *     pic01.jpg
 *     pic02.jpg
 *     pic10.jpg
 *     pic11.jpg
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; version 2 of the License.
 *
 *  This program is distributed in the hope that it will be useful, but
 *  WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANT-
 *  ABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General
 *  Public License in the directory "manual" for more details.
 ******************************************************************************
 *)

(* ****************************************************************************
 *
 * ****************************************************************************
 *)

unit splash;

interface

uses
  SysUtils, WinTypes, WinProcs, Messages, Classes, Graphics, Controls,
  Forms, Dialogs, StdCtrls, ExtCtrls, ComCtrls;

type
  TformSplash = class(TForm)
    imageIcon           : TImage;
    imageTitle          : TImage;
    labelProgCopyright  : TLabel;
    panelSplash         : TPanel;
    procedure FormActivate(Sender: TObject);
  private
  public
  end;

var
  formSplash: TformSplash;

implementation

{$R *.DFM}

(* ****************************************************************************
 * Releases this splash frame when it is activated.
 * ****************************************************************************
 *)
procedure TformSplash.FormActivate(Sender: TObject);
begin
  Release;
end;


Initialization
  formSplash := TformSplash.Create(Nil);
  formSplash.Show;
  formSplash.Update;
end.
